subroutine DoDialog(dlg, id, callbacktype)
use dflogm
use dflib


type(dialog) dlg
integer id, callbacktype
include "resource.fd"

logical retlog
integer retint
external sub_progress

common/max/imax


imax =60000

retlog =dlginit(idd_dialog1, dlg)

retlog =dlgSetSub(dlg, idc_Button1, sub_progress)
retlog =dlgSetSub(dlg, idc_Edit1, sub_progress)

retlog =dlgSet(dlg, idc_progress1, 0, dlg_rangemin)

retlog =dlgSet(dlg, idc_progress1, imax, dlg_rangemax)

retlog =dlgSet(dlg, idc_Button1, .false., dlg_enable)

retint =dlgmodal(dlg)


call dlguninit(dlg)

end
